--- title: "Import Custom Internal Web Server Certificate" slug: "import-custom-internal-web-server-certificate-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:56:58Z published: 2026-11-19T12:56:58Z canonical: "docs.trellix.com/import-custom-internal-web-server-certificate-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Import Custom Internal Web Server Certificate This URL imports custom internal web server certificate. ### Resource URL PUT /domain/sslconfiguration/importinternalwebservercerts ### Content-type value multipart/form-data; boundary= ### Request Parameters URL Parameters: None Payload Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `MultiPart` | Holds the body part objects | Object | Yes | Details of BodyPart[0]: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `BodyPart[0]` | Holds the import internal web server certificate (ImportIWSCert) object | Application/json object | Yes | Details of ImportIWSCert: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `fileName` | List of names of the file | Array | Yes | | `passphrase` | Passphrase for the files provided | String | Yes | | `sensorId` | List of Sensor id's on which to import | Array | No | Details of BodyPart[1] to BodyPart[]: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `BodyPart[1]` | Holds the .p12 file as input stream | Application/octet-stream | Yes | Details of .p12 file: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `File` | The SSL key file data | ByteArrayInputStream | Yes | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `status` | List of the status of imports | Array | Details of objects in status: | Field Name | Description | Data Type | | --- | --- | --- | | `fileName` | File name which was imported | String | | `status` | Status is the import was successful | Boolean | | `comment` | Comments regarding the import | String | ### Example **Request** PUT [https:///sdkapi/domain/sslconfiguration/importinternalwebservercerts](https://<NSM_IP>/sdkapi/sensor/1002/sslconfiguration) **Payload** ``` ----Boundary_1_12424925_1353496814940 Content-Type: application/json { "fileName": [ "test.p12", “test1.p12”, “test2.p12”]} ----Boundary_1_12424925_1353496814940 Content-Type: application/octet-stream ----Boundary_1_12424925_1353496814940 Content-Type: application/octet-stream ----Boundary_1_12424925_1353496814940 Content-Type: application/octet-stream ----Boundary_1_12424925_1353496814940— ``` **Response** ``` { "status": [ { “filename”: “test.p12”, “status”: true, “comment”:”Operation successful for file : test.p12 on following sensors : [1002, 1003]” }, { “filename”: “test1.p12”, “status”: true, “comment”:”Operation successful for file : test1.p12 on following sensors : [1002, 1003]” }, { “filename”: “test2.p12”, “status”: true, “comment”:”Operation successful for file : test2.p12 on following sensors : [1002, 1003]” } ] } ``` ### Error Information Following error codes are returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 500 | 1001 | Internal error | | 2 | 400 | 5301 | Invalid file type given for import : The file name does not have any extension | | 3 | 400 | 5301 | Invalid file type given for import expected is .pem while was provided | | 4 | 400 | 2002 | No outbound SSL supported Sensors present | | 5 | 400 | 2002 | Issue with the payload. Number of file data provided is not same as the files provided |